> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easystreetoffers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Preliminary Offer Request

> Get Preliminary Buyer & Buy Box Matches



## OpenAPI

````yaml post /offer-requests/prelim
openapi: 3.0.1
info:
  title: OpenAPI ESO
  description: ESO
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://v2.easystreetoffers.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /offer-requests/prelim:
    post:
      description: Get Preliminary Buyer & Buy Box Matches
      requestBody:
        description: Preliminary Matches
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/inventory'
        required: true
      responses:
        '200':
          description: successful request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/prelim-match'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    inventory:
      type: object
      properties:
        StateOrProvince:
          type: string
          example: CA
        PostalCode:
          type: string
          example: '94507'
        BedroomsTotal:
          type: integer
          example: 3
        BathroomsFull:
          type: integer
          example: 2
        LivingArea:
          type: integer
          example: 2650
        LotSizeSquareFeet:
          type: integer
          example: 6000
        ParkingTotal:
          type: integer
          example: 2
        YearBuilt:
          type: integer
          example: 1990
        ListPrice:
          type: integer
          example: 250000
        OccupantType:
          type: string
          example: Owner
        PoolPrivateYN:
          type: boolean
          example: false
        StandardStatus:
          type: string
          example: Off-market
    prelim-match:
      type: object
      properties:
        matchCount:
          type: integer
          description: Number of buyers your submission matched
          example: 34
        buyBoxesCount:
          type: integer
          description: Number of buy boxes your submission matched
          example: 80
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````